package com.yc.ship.module.product.enums;


import com.yc.ship.framework.common.exception.ErrorCode;

public interface ErrorCodeConstants {
    ErrorCode DISTRIBUTO_DISCOUNT_NOT_EXISTS = new ErrorCode(600_001, "分销商专属折扣不存在");


    // 组合产品
    ErrorCode PRODUCT_SPU_NOT_EXISTS = new ErrorCode(10_101, "产品信息不存在");
    ErrorCode SALE_CHANNEL_NOT_EXISTS = new ErrorCode(10_102, "产品销售渠道不存在");
    ErrorCode SALE_RULE_NOT_EXISTS = new ErrorCode(10_103, "产品销售规则不存在");
    ErrorCode BASIC_RULE_NOT_EXISTS = new ErrorCode(10_104, "产品基础规则不存在");
    ErrorCode CHECK_RULE_NOT_EXISTS = new ErrorCode(10_105, "产品检票规则不存在");
    ErrorCode NOTICE_RULE_NOT_EXISTS = new ErrorCode(10_106, "产品通知规则不存在");
    ErrorCode REFUND_RULE_NOT_EXISTS = new ErrorCode(10_107, "产品退款规则不存在");
    ErrorCode TAKE_RULE_NOT_EXISTS = new ErrorCode(10_108, "产品取票规则不存在");
    ErrorCode OTHER_RULE_NOT_EXISTS = new ErrorCode(10_109, "产品其他规则不存在");
    ErrorCode SPU_TRAVEL_NOT_EXISTS = new ErrorCode(10_110, "旅游路线产品信息不存在");
    ErrorCode SKU_NOT_EXISTS = new ErrorCode(10_111, "产品sku不存在");
    ErrorCode PRODUCT_STOCK_NOT_ENOUGH = new ErrorCode(10_112, "产品库存不足");
    ErrorCode PRODUCT_DISABLE = new ErrorCode(10_113, "产品未启用");
    ErrorCode PRODUCT_BASE_REDUCE_INFO_NOT_EXISTS = new ErrorCode(10_114, "扣减基础产品信息不存在");
    ErrorCode RESOURCE_STOCK_NOT_ENOUGH = new ErrorCode(10_115, "资源库存不足");
    ErrorCode REDUCE_RESOURCE_FAIL_NO_LOCK = new ErrorCode(10_116, "扣减资源库存失败,未获取到锁");
    ErrorCode REDUCE_RESOURCE_EXCEPTION = new ErrorCode(10_117, "扣减资源库存异常");
    ErrorCode REDUCE_BASE_PRODUCT_FAIL_NO_LOCK = new ErrorCode(10_118, "扣减基础产品库存失败,未获取到锁");
    ErrorCode REDUCE_BASE_PRODUCT_EXCEPTION = new ErrorCode(10_119, "扣减基础产品库存异常");
    ErrorCode REDUCE_PRODUCT_FAIL_NO_LOCK = new ErrorCode(10_120, "扣减产品库存失败,未获取到锁");
    ErrorCode REDUCE_PRODUCT_EXCEPTION = new ErrorCode(10_121, "扣减产品库存异常");
    ErrorCode NO_PLAT_PRODUCT_AVAILABLE = new ErrorCode(10_022, "未查询到可用平台产品");
    ErrorCode PRODUCT_BASE_SPEC_NOT_EXISTS = new ErrorCode(10_023, "基础产品或分销产品信息不存在");

    ErrorCode VOYAGE_NOT_EXISTS = new ErrorCode(10_024, "航次不存在");

    ErrorCode PRICE_TEMPLATE_NOT_EXISTS = new ErrorCode(10_025, "价格模板不存在");

    ErrorCode PRICE_VOYAGE_NOT_EXISTS = new ErrorCode(10_026, "该航次未设置价格");
    ErrorCode PRICE_VOYAGE_EXISTS = new ErrorCode(10_026, "该航次已设置价格");

    ErrorCode USER_NOT_DISTRIBUTOR = new ErrorCode(10_027, "该用户不是分销商");

    ErrorCode VOYAGE_NO_STOCK = new ErrorCode(10_028, "该航次未设置库存");

    ErrorCode VOYAGE_SHARE_STOCK_NOT_ENOUGH = new ErrorCode(10_029, "该航次共享库存不足,库存为:%s,需要库存:%s");

    ErrorCode VOYAGE_SHARE_ROOM_NOT_ENOUGH = new ErrorCode(10_030, "共享库存-%s-%sF可售房间不足, 库存为:%s, 需要库存:%s");

    ErrorCode VOYAGE_DISTRIBUTOR_ROOM_NOT_ENOUGH = new ErrorCode(10_031, "分销商库存-%s-%sF可售房间不足, 库存为:%s, 需要库存: %s");

    ErrorCode VOYAGE_ROOM_NOT_EXIST = new ErrorCode(10_032, "订单所选房间%s不存在");




}